Album: 'Tumblrstuck/bent OST: Volume 2'
Directory: tumblrstuck-bent-ost-volume-2
Artists:
- Samm Neiland
Date: March 11, 2013
Date Added: April 13, 2022
URLs:
- https://sammneiland.bandcamp.com/album/tumblrstuck-bent-ost-volume-2
Has Track Art: false
Cover Artists:
- Elanor Pam
Cover Art File Extension: png
Color: '#32f22d'
Groups:
- Tumblrstuck/bent
- Fandom
Commentary: |-
    <i>Samm Neiland:</i>
    yeup. sorry it took so long. i’d kinda… forgotten about it and then i was having issues getting my hands on some album art to use and i wasn’t going to release it without album art.

    that would be irresponsible.

    anyway yes. go ahead and download it for free. just a bunch of fanventure based music.

    like i said, free. so you’ve no reason not to download it.

    go forth.

    (special thanks to [[artist:elanor-pam|paula]] for the album art. very much appreciated <3 )
---
Group: Main album
---
Track: Natural Selection
Duration: '2:42'
URLs:
- https://sammneiland.bandcamp.com/track/natural-selection
Commentary: |-
    <i>Samm Neiland:</i>
    remember how i used to make music?

    me neither.

    but apparently i still do.
---
Track: Seer of Heart
Duration: '2:13'
URLs:
- https://sammneiland.bandcamp.com/track/seer-of-heart
Commentary: |-
    <i>Samm Neiland:</i>
    oooooo what’s that samm? a brand new spiffy track for glitchedstuck/your tumblrstuck?

    why yes. yes it is.

    lyra, the seer of heart is wrexie’s character.

    also go follow our tumblrstuck you whatchama callits.
---
Track: Cosmic Adversary
Duration: '2:19'
URLs:
- https://sammneiland.bandcamp.com/track/cosmic-adversary
Commentary: |-
    <i>Samm Neiland:</i>
    hey look another tumblrstuck related song.

    this one was me trying to come up with a battle song that would work well but didn’t feel too much like something overly epic. like my favourite battle themes were the ones that got you really pumped for combat, not the ones that were just like “ugh god, not another random battle.”

    anyway, hope its palatable.
---
Track: Monk of Time
Duration: '2:08'
URLs:
- https://sammneiland.bandcamp.com/track/monk-of-time
Commentary: |-
    <i>Samm Neiland:</i>
    hey look more glitchedstuck music. isn’t that neat.

    this one is for lute who is a monk of time and also happens to be [[artist:reid-slater|reid’s]] character who is wicked cool and shit and if you aren’t following him by now what the fuck is wrong with you.
---
Track: Hold My Hand
Duration: '2:29'
URLs:
- https://sammneiland.bandcamp.com/track/hold-my-hand
Commentary: |-
    <i>Samm Neiland:</i>
    <i>(original commentary)</i>
    another chiptuney piece, potentially for redlightstuck, buuuuut that depends on if it fits. otherwise its just for your listening preference.

    this song was actually inspired by a wind up ballerina toy my mom has. fits rather will with the spinning dancer image really.

    <i>(commentary redux)</i>
    i made it for a thing for a while ago that sorta just kinda never came to be but sorta rediscovered it and kinda finished/fixed some stuff with it initially?

    idk, anyway. it kinda makes me think about something prospitian in a way so i’m probably gonna use it for my fanventure he-yup.
---
Track: Rogue of Light
Duration: '2:31'
URLs:
- https://sammneiland.bandcamp.com/track/rogue-of-light
Commentary: |-
    <i>Samm Neiland:</i>
    hey here’s a commissions for the ever wonderful pride’s fantroll jessee

    its basically like… battle theme, character theme, epic god tier ascension. ya know. that kind of stuff.

    jessee is part of our fan-venture and is the biggest cutie bootie ever.
---
Group: Bonus tracks
---
Track: Surmount
Duration: '1:43'
Has URLs: false
